* {
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    box-sizing: border-box;
}

body {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 0;
    background-color: #2762ab;
    width: 100%;
    min-height: 100vh;
    padding: 0;
    justify-content: flex-start;
    padding-top: 100px;

}

header {
    font-size: 150%;
    color: white;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);
}


main {
    display: flex;
    margin-bottom: 50px;
    margin-top: 50px;
    color: #2762ab;
}

form {
    width: 300px;
    height: 450px;
    min-height: 450px;
    padding: 20px;
    border: 1px solid #2762ab;
    border-top-left-radius: 20px ;
    border-bottom-left-radius: 20px;
    background: rgb(255, 255, 255);
    box-shadow: 0 0 15px #1b3761;
}

label {
    margin-top: 10px;
    margin-left: 25px;
    display: block;
    
}

.checkbox-container {
    margin-top: 15px;
    margin-left: 25px;
    display: flex;
    align-items: center;
    gap: 8px;
    
}

.checkbox-container input {
    width: auto;
    margin: 0;
    padding: 0;
}

.checkbox-container label {
    margin: 0;
    padding: 0;
    display: inline;
}


input {
    margin-bottom: 5px;
    margin-top: 5px;
    padding: 8px;
    margin-left: 25px;
    width: calc(100% - 50px);
    border-radius: 5px;
    border: 1px solid #ccc;
}

#forgot {
    text-decoration: none;
    color: #1f4f8a;
    font-size: smaller;
    display: block;
    text-align: right;
    margin-right: 25px;
    margin-bottom: 10px;
    margin-top: 5px;
}

#forgot:hover {
    color: #9d9d9d;
}


#checkbox {
    margin-top: 30px;
    margin-left: -70px;
}

img {
    width: 300px;
    height: 450px;
    background-color: rgb(235, 227, 217);
    border-top-right-radius: 10px;
    border-bottom-right-radius: 10px;
    object-fit: cover;
    box-shadow: 20px 0 15px #1b3761;
}

form > h1 {
    text-align: left;
    padding-left: 20px;
    color: #2762ab;
}

#button {
    margin-top: 25px;
    border-radius: 5px;
    height: 50px;
    box-shadow: 0 0 15px #1b3761;
    margin-left: 25px;
    background-color: #1b3761;
    color: white;
    font-weight: bold;
    cursor: pointer;
    transition: background-color 0.3s ease, transform 0.2s ease;
    border: none;
}

#button:hover {
    background-color: #0f2747;
}

p {
    text-align: center;
    font-size: small;
    margin-top: 10px;
}

#register {
    padding-left: 5px;
    text-decoration: none;
    color: #1f4f8a;
}

#register:hover {
    color: #9d9d9d;
}

#login {
    text-decoration: none;
    color: #1f4f8a;
    padding-left: 10px;
}

#login:hover {
    color: #9d9d9d;
}

a {
    margin-right: 5px;
}


